> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort installation test



## OpenAPI

````yaml /spec.json delete /client/showers/{id}/installation
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/showers/{id}/installation:
    delete:
      tags:
        - Shower installation.
      summary: Abort installation test
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The unique identifier for the shower
      responses:
        '200':
          description: Installation test aborted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/showerInstallationTestResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: Installation test not found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    showerInstallationTestResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        timestamp:
          type: string
        shower_id:
          type: string
          format: uuid
        test_id:
          type: string
          format: uuid
        description:
          type: string
        included_tests:
          type: number
        current_test:
          type: string
        next_test:
          type: string
        pass:
          type: boolean
        status:
          type: string
        test_data:
          type: array
          items: {}
        version:
          type: number
        created_at:
          type: string
        updated_at:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````